#title "Sniper Alley"
#author "Canuck"

#include meteor2

// functions
export OnMapStart;
export OnObjectDie_17;
export OnObjectDie_90;
export OnWaypointReached_18;
export OnWaypointReached_24;
export OnWaypointReached_25;
export OnEnterVehicle_17;
export OnObjectDie_466;
export Chopper;

void OnMapStart()
{
	int i;
	for (i=57; i<=68; i++)
	{
	SC_SetObjectIndestructible(i,1);
	}
	for (i=57; i<=59; i++)
	{
	SC_SetObjectHits(i,1);
	}
	SC_SetObjectIndestructible(17,1);
	SC_SetObjectIndestructible(80,1);
	SC_SetObjectIndestructible(128,1);
	SC_SetObjectIndestructible(129,1);
	SC_SetObjectIndestructible(130,1);
	SC_SetObjectIndestructible(467,1);
	SC_SetObjectHits(62,1);
	SC_SetObjectHits(67,1);
	SC_SetObjectHits(68,1);
	SC_SetObjectHits(82,1);
	SC_SetObjectHits(83,1);
	SC_SetObjectHits(87,1);
	SC_SetObjectHits(90,1);
	SC_SetObjectHits(128,1);
	SC_SetObjectHits(129,1);
	SC_SetObjectHits(130,1);
	SC_SetObjectActive(3,1);
	SC_SetObjectActive(28,1);
	SC_SetObjectActive(30,1);
	SC_SetObjectActive(34,1);
	SC_SetObjectActive(37,1);
	SC_SetObjectActive(45,1);
	SC_SetObjectActive(46,1);
	SC_SetObjectActive(47,1);
	SC_SetObjectActive(48,1);
	SC_SetObjectActive(192,1);
	SC_SetObjectActive(193,1);
	SC_SetObjectActive(194,1);
	SC_SetObjectActive(195,1);
	SC_SetObjectActive(207,1);
	SC_SetObjectActive(254,1);
	SC_SetObjectActive(280,1);
	SC_SetObjectActive(281,1);
	SC_SetObjectActive(313,1);
	SC_SetObjectActive(322,1);
	SC_SetObjectActive(323,1);
	SC_SetObjectActive(338,1);
	SC_PutObjectOnHorse(315,314);
	SC_PutObjectOnHorse(316,313);
	SC_PlayMusic("1997_Darken.mod");
}

void OnObjectDie_17()
{
	SC_GameOver("The Chinook was shot down!");
}

void OnObjectDie_90()
{
	SC_GameMessage("Civilian: My car!");
}

void OnWaypointReached_18(int ObjectId)
{
	SC_SetObjectAiType(ObjectId,AI_GUARDING);
}

void OnWaypointReached_24(int ObjectId)
{
	SC_SetObjectAiType(ObjectId,AI_GUARDING);
}

void OnEnterVehicle_17()
{
	SC_BindObjectToWaypoint(17,25);
	SC_SetObjectIndestructible(17,0);
	SC_GameMessage("Pilot: Good to see you, Colonel! Let's get out of here!");
}

void OnWaypointReached_25()
{
	SC_EndCurrentLevel();
}

void OnObjectDie_466()
{
	SC_AddExplosion(650,2450,400,400,350,-1);
	SC_GameMessage("Ash: That's useful...");
	SC_PlaySound("contact\\JetBomb_Explode");
}

void Chopper()
{
	SC_GameMessage("Ash! The Chinook has been surrounded by enemy troops! Take them out before you get on board.");
	SC_PlaySound("world\\radio_b");
	SC_PlayMusic("honour.mod");
}